Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class Tree

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.blocks.NullWithShaderNode
                          de.grogra.blocks.Tree

All Implemented Interfaces:
  Transformation, Pickable, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, Instantiator<Instantiation>, java.io.Serializable

    public class Tree

extends NullWithShaderNode
implements Instantiator<Instantiation>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `arrangement$FIELD`
`static Node.NType.Field` | `branchesAngle$FIELD`
`static Node.NType.Field` | `branchesDense$FIELD`
`static Node.NType.Field` | `branchesDistribution$FIELD`
`static Node.NType.Field` | `branchesGeometricScale$FIELD`
`static Node.NType.Field` | `branchesGrowthScale$FIELD`
`static Node.NType.Field` | `branchesNumber$FIELD`
`static Node.NType.Field` | `crookednessAmount$FIELD`
`static Node.NType.Field` | `crookednessCurve$FIELD`
`static Node.NType.Field` | `crookednessIntensity$FIELD`
`static Node.NType.Field` | `deviate$FIELD`
`static Node.NType.Field` | `deviateCurve$FIELD`
`static Node.NType.Field` | `geometry$FIELD`
`static Node.NType.Field` | `initAll$FIELD`
`static Node.NType.Field` | `locationParameter$FIELD`
`static Node.NType.Field` | `lod$FIELD`
`static Node.NType.Field` | `profile$FIELD`
`static Node.NType.Field` | `screw$FIELD`
`static Node.NType.Field` | `shape$FIELD`
`static Node.NType.Field` | `spline$FIELD`
`static Node.NType.Field` | `stemLength$FIELD`
`static Node.NType.Field` | `top$FIELD`
`static Node.NType.Field` | `trajectory$FIELD`
`static Node.NType.Field` | `trunkScale$FIELD`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Tree()`
`Tree(float number)`
`Tree(java.lang.String number)`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`float` | `getAbsoluteHeight()`
`int` | `getArrangement()`
`FloatToFloat` | `getBranchesAngle()`
`FloatToFloat` | `getBranchesDense()`
`FloatToFloat` | `getBranchesDistribution()`
`FloatToFloat` | `getBranchesGeometricScale()`
`FloatToFloat` | `getBranchesGrowthScale()`
`float` | `getBranchesNumber()`
`int` | `getChildId()`
`float` | `getCrookednessAmount()`
`BSplineCurve` | `getCrookednessCurve()`
`FloatToFloat` | `getCrookednessIntensity()`
`float` | `getDensity()`
`FloatToFloat` | `getDeviate()`
`BSplineCurve` | `getDeviateCurve()`
`Instantiator` | `getInstantiator()`
`float` | `getLocalHeight()`
`LocationParameterBase` | `getLocationParameter()`
`TreeLOD` | `getLod()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`int` | `getParentId()`
`BSplineCurve` | `getProfile()`
`FloatToFloat` | `getScrew()`
`FloatToFloat` | `getShape()`
`float` | `getStemLength()`
`int` | `getThisId()`
`BSplineCurve` | `getTrajectory()`
`float` | `getTrunkScale()`
`void` | `instantiate(Instantiation state)`
`boolean` | `isGeometry()`
`boolean` | `isInitAll()`
`boolean` | `isSpline()`
`boolean` | `isTop()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setArrangement(int value)`
`void` | `setBranchesAngle(FloatToFloat value)`
`void` | `setBranchesDense(FloatToFloat value)`
`void` | `setBranchesDistribution(FloatToFloat value)`
`void` | `setBranchesGeometricScale(FloatToFloat value)`
`void` | `setBranchesGrowthScale(FloatToFloat value)`
`void` | `setBranchesNumber(CustomFunction value)`
`void` | `setBranchesNumber(float value)`
`void` | `setCrookednessAmount(CustomFunction value)`
`void` | `setCrookednessAmount(double value)`
`void` | `setCrookednessAmount(java.lang.String value)`
`void` | `setCrookednessCurve(BSplineCurve value)`
`void` | `setCrookednessIntensity(FloatToFloat value)`
`void` | `setDeviate(FloatToFloat value)`
`void` | `setDeviateCurve(BSplineCurve value)`
`void` | `setGeometry(boolean value)`
`void` | `setInitAll(boolean value)`
`void` | `setLocationParameter(LocationParameterBase value)`
`void` | `setLod(TreeLOD value)`
`void` | `setProfile(BSplineCurve value)`
`void` | `setScrew(FloatToFloat value)`
`void` | `setShape(FloatToFloat value)`
`void` | `setSpline(boolean value)`
`void` | `setStemLength(CustomFunction value)`
`void` | `setStemLength(double value)`
`void` | `setStemLength(java.lang.String value)`
`void` | `setTop(boolean value)`
`void` | `setTrajectory(BSplineCurve value)`
`void` | `setTrunkScale(CustomFunction value)`
`void` | `setTrunkScale(double value)`
`void` | `setTrunkScale(java.lang.String value)`
`void` | `useLod(boolean value)`

Methods inherited from class de.grogra.blocks.NullWithShaderNode
`draw, pick`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getShader, getSymbolColor, isTreatedAsInfinite, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### arrangement$FIELD

    public static final Node.NType.Field arrangement$FIELD

### branchesAngle$FIELD

    public static final Node.NType.Field branchesAngle$FIELD

### branchesDense$FIELD

    public static final Node.NType.Field branchesDense$FIELD

### branchesDistribution$FIELD

    public static final Node.NType.Field branchesDistribution$FIELD

### branchesGeometricScale$FIELD

    public static final Node.NType.Field branchesGeometricScale$FIELD

### branchesGrowthScale$FIELD

    public static final Node.NType.Field branchesGrowthScale$FIELD

### branchesNumber$FIELD

    public static final Node.NType.Field branchesNumber$FIELD

### crookednessAmount$FIELD

    public static final Node.NType.Field crookednessAmount$FIELD

### crookednessCurve$FIELD

    public static final Node.NType.Field crookednessCurve$FIELD

### crookednessIntensity$FIELD

    public static final Node.NType.Field crookednessIntensity$FIELD

### deviate$FIELD

    public static final Node.NType.Field deviate$FIELD

### deviateCurve$FIELD

    public static final Node.NType.Field deviateCurve$FIELD

### geometry$FIELD

    public static final Node.NType.Field geometry$FIELD

### initAll$FIELD

    public static final Node.NType.Field initAll$FIELD

### locationParameter$FIELD

    public static final Node.NType.Field locationParameter$FIELD

### lod$FIELD

    public static final Node.NType.Field lod$FIELD

### profile$FIELD

    public static final Node.NType.Field profile$FIELD

### screw$FIELD

    public static final Node.NType.Field screw$FIELD

### shape$FIELD

    public static final Node.NType.Field shape$FIELD

### spline$FIELD

    public static final Node.NType.Field spline$FIELD

### stemLength$FIELD

    public static final Node.NType.Field stemLength$FIELD

### top$FIELD

    public static final Node.NType.Field top$FIELD

### trajectory$FIELD

    public static final Node.NType.Field trajectory$FIELD

### trunkScale$FIELD

    public static final Node.NType.Field trunkScale$FIELD

Constructor Detail

### Tree

    public Tree()

### Tree

    public Tree(float number)

### Tree

    public Tree(java.lang.String number)

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getArrangement

    public int getArrangement()

### getBranchesAngle

    public FloatToFloat getBranchesAngle()

### getBranchesDense

    public FloatToFloat getBranchesDense()

### getBranchesDistribution

    public FloatToFloat getBranchesDistribution()

### getBranchesGeometricScale

    public FloatToFloat getBranchesGeometricScale()

### getBranchesGrowthScale

    public FloatToFloat getBranchesGrowthScale()

### getBranchesNumber

    public float getBranchesNumber()

### getChildId

    public int getChildId()

### getCrookednessAmount

    public float getCrookednessAmount()

### getCrookednessCurve

    public BSplineCurve getCrookednessCurve()

### getCrookednessIntensity

    public FloatToFloat getCrookednessIntensity()

### getDensity

    public float getDensity()

### getDeviate

    public FloatToFloat getDeviate()

### getDeviateCurve

    public BSplineCurve getDeviateCurve()

### getInstantiator

    public Instantiator getInstantiator()

  Overrides:
    `getInstantiator` in class `Node`

### getLocalHeight

    public float getLocalHeight()

### getLocationParameter

    public LocationParameterBase getLocationParameter()

### getLod

    public TreeLOD getLod()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `NullWithShaderNode`
  Returns:
    type describing the managed fields of the class of this node

### getParentId

    public int getParentId()

### getProfile

    public BSplineCurve getProfile()

### getScrew

    public FloatToFloat getScrew()

### getShape

    public FloatToFloat getShape()

### getStemLength

    public float getStemLength()

### getThisId

    public int getThisId()

### getTrajectory

    public BSplineCurve getTrajectory()

### getTrunkScale

    public float getTrunkScale()

### instantiate

    public void instantiate(Instantiation state)

  Specified by:
    `instantiate` in interface `Instantiator<Instantiation>`

### isGeometry

    public boolean isGeometry()

### isInitAll

    public boolean isInitAll()

### isSpline

    public boolean isSpline()

### isTop

    public boolean isTop()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `NullWithShaderNode`
  Returns:
    new instance of class of this node

### setArrangement

    public void setArrangement(int value)

### setBranchesAngle

    public void setBranchesAngle(FloatToFloat value)

### setBranchesDense

    public void setBranchesDense(FloatToFloat value)

### setBranchesDistribution

    public void setBranchesDistribution(FloatToFloat value)

### setBranchesGeometricScale

    public void setBranchesGeometricScale(FloatToFloat value)

### setBranchesGrowthScale

    public void setBranchesGrowthScale(FloatToFloat value)

### setBranchesNumber

    public void setBranchesNumber(CustomFunction value)

### setBranchesNumber

    public void setBranchesNumber(float value)

### setCrookednessAmount

    public void setCrookednessAmount(CustomFunction value)

### setCrookednessAmount

    public void setCrookednessAmount(double value)

### setCrookednessAmount

    public void setCrookednessAmount(java.lang.String value)

### setCrookednessCurve

    public void setCrookednessCurve(BSplineCurve value)

### setCrookednessIntensity

    public void setCrookednessIntensity(FloatToFloat value)

### setDeviate

    public void setDeviate(FloatToFloat value)

### setDeviateCurve

    public void setDeviateCurve(BSplineCurve value)

### setGeometry

    public void setGeometry(boolean value)

### setInitAll

    public void setInitAll(boolean value)

### setLocationParameter

    public void setLocationParameter(LocationParameterBase value)

### setLod

    public void setLod(TreeLOD value)

### setProfile

    public void setProfile(BSplineCurve value)

### setScrew

    public void setScrew(FloatToFloat value)

### setShape

    public void setShape(FloatToFloat value)

### setSpline

    public void setSpline(boolean value)

### setStemLength

    public void setStemLength(CustomFunction value)

### setStemLength

    public void setStemLength(double value)

### setStemLength

    public void setStemLength(java.lang.String value)

### setTop

    public void setTop(boolean value)

### setTrajectory

    public void setTrajectory(BSplineCurve value)

### setTrunkScale

    public void setTrunkScale(CustomFunction value)

### setTrunkScale

    public void setTrunkScale(double value)

### setTrunkScale

    public void setTrunkScale(java.lang.String value)

### useLod

    public void useLod(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD